## golang-google-grpc 0.0~git20151002.0.3e7b7e5

=== Makefile ===
.PHONY: \
	all \
	deps \
	updatedeps \
	testdeps \
	updatetestdeps \
	build \
	proto \
	test \
	testrace \
	clean \

all: test testrace

deps:
	go get -d -v google.golang.org/grpc/...

updatedeps:
	go get -d -v -u -f google.golang.org/grpc/...

testdeps:
	go get -d -v -t google.golang.org/grpc/...

updatetestdeps:
	go get -d -v -t -u -f google.golang.org/grpc/...

build: deps
	go build google.golang.org/grpc/...

proto:
	@ if ! which protoc > /dev/null; then \
		echo "error: protoc not installed" >&2; \
		exit 1; \
	fi
	go get -v github.com/golang/protobuf/protoc-gen-go
	for file in $$(git ls-files '*.proto'); do \
		protoc -I $$(dirname $$file) --go_out=plugins=grpc:$$(dirname $$file) $$file; \
	done

test: testdeps
	go test -v -cpu 1,4 google.golang.org/grpc/...

testrace: testdeps
	go test -v -race -cpu 1,4 google.golang.org/grpc/...

clean:
	go clean google.golang.org/grpc/...

coverage: testdeps
	goveralls -v google.golang.org/grpc/...

## golang-google-grpc 0.0~git20150514.0.f5ebd86

=== debian/changelog ===
golang-google-grpc (0.0~git20150514.0.f5ebd86-1) unstable; urgency=medium

  * Initial release (Closes: #798654).

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 11 Sep 2015 22:28:08 +1000

=== debian/control ===
Source: golang-google-grpc
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9), dh-golang,
    golang-go,
    golang-github-bradfitz-http2-dev,
    golang-etcd-server-dev | golang-github-coreos-etcd-dev,
    golang-github-golang-glog-dev | golang-glog-dev,
    golang-github-golang-protobuf-dev | golang-goprotobuf-dev,
    golang-github-ugorji-go-codec-dev,
    golang-golang-x-net-dev (>= 0.0+git20150817.66f0418),
    golang-golang-x-oauth2-dev
Standards-Version: 3.9.6
Homepage: https://godoc.org/google.golang.org/grpc
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-google-grpc.git
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-google-grpc.git

Package: golang-google-grpc-dev
Provides: golang-github-grpc-grpc-go-dev
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
    golang-go,
    golang-github-bradfitz-http2-dev,
    golang-etcd-server-dev | golang-github-coreos-etcd-dev,
    golang-github-golang-glog-dev | golang-glog-dev,
    golang-github-golang-protobuf-dev | golang-goprotobuf-dev,
    golang-github-ugorji-go-codec-dev,
    golang-golang-x-net-dev (>= 0.0+git20150817.66f0418),
    golang-golang-x-oauth2-dev
Built-Using: ${misc:Built-Using}
Description: implementation of gRPC in Go
 Implementation of an RPC system called gRPC in Golang.
 .
 Remote Procedure Calls (RPCs) provide a useful abstraction for building
 distributed applications and services. This library provides a concrete
 implementation of the gRPC protocol, layered over HTTP/2.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_GOPKG := google.golang.org/grpc
export DH_GOLANG_EXCLUDES := grpc/test grpc/examples grpc/benchmark grpc/interop

%:
	dh $@ --buildsystem=golang --with=golang

## http://wiki.debian.org/onlyjob/get-orig-source
.PHONY: get-orig-source
PKD   = $(abspath $(dir $(MAKEFILE_LIST)))
PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
VER  ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog -SVersion | perl -ne 'print $$1 if m{^(?:\d+:)?(\d.*)(?:\-\d+.*)};')
REV   = $(shell sh -c 'printf "$${1\#\#*.0.}"' -- "$(VER)")

get-orig-source: $(PKG)_$(VER).orig.tar.gz $(info I: $(PKG)_$(VER))
	@

UURL = https://github.com/grpc/grpc-go
$(PKG)_$(VER).orig.tar.gz:
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	@echo "# Downloading..."
	wget --tries=3 --timeout=40 --read-timeout=40 --continue -O $@ \
          $(UURL)/archive/$(REV).tar.gz \
        || uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-current-version $(PKD)

## golang-google-grpc 0.0~git20151002.0.3e7b7e5

=== debian/changelog ===
golang-google-grpc (0.0~git20151002.0.3e7b7e5-1) unstable; urgency=medium

  [ Tim Potter <tpot@hpe.com> ]
  * Update to commit 3e7b7e5 from upstream (Closes: #806179)
  * Replace golang-github-bradfitz-http2-dev B-D with updated version of
    golang-golang-x-net-dev, and upgrade golang-golang-x-oauth2-dev.

  [ Dmitry Smirnov <onlyjob@debian.org> ]
  * rules: DH_GOLANG_EXCLUDES += "naming/etcd": to avoid curcular
    dependency on "golang-etcd-server-dev" which depends on this package
    ("golang-google-grpc"); Added related note to "README.Debian".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 07 Feb 2016 13:58:30 +1100

golang-google-grpc (0.0~git20150514.0.f5ebd86-2) unstable; urgency=medium

  * Drop etcd dependencies (Closes: #808598).

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 22 Dec 2015 00:00:04 +1100

=== debian/control ===
Source: golang-google-grpc
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9), dh-golang,
    golang-go,
    golang-github-golang-glog-dev | golang-glog-dev,
    golang-github-golang-protobuf-dev | golang-goprotobuf-dev,
    golang-github-ugorji-go-codec-dev,
    golang-golang-x-net-dev (>= 0.0+git20160110.4fd4a9f),
    golang-golang-x-oauth2-dev ( >= 0.0~git20151116.0.442624c)
Standards-Version: 3.9.6
Homepage: https://godoc.org/google.golang.org/grpc
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-google-grpc.git
Vcs-Git: https://anonscm.debian.org/pkg-go/packages/golang-google-grpc.git

Package: golang-google-grpc-dev
Provides: golang-github-grpc-grpc-go-dev
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
    golang-go,
    golang-github-golang-glog-dev | golang-glog-dev,
    golang-github-golang-protobuf-dev | golang-goprotobuf-dev,
    golang-github-ugorji-go-codec-dev,
    golang-golang-x-net-dev (>= 0.0+git20160110.4fd4a9f),
    golang-golang-x-oauth2-dev (>= 0.0~git20151116.0.442624c)
Built-Using: ${misc:Built-Using}
Description: implementation of gRPC in Go
 Implementation of an RPC system called gRPC in Golang.
 .
 Remote Procedure Calls (RPCs) provide a useful abstraction for building
 distributed applications and services. This library provides a concrete
 implementation of the gRPC protocol, layered over HTTP/2.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 export DH_GOPKG := google.golang.org/grpc
-export DH_GOLANG_EXCLUDES := grpc/test grpc/examples grpc/benchmark grpc/interop
+export DH_GOLANG_EXCLUDES := grpc/test grpc/examples grpc/benchmark grpc/interop naming/etcd
 
 %:
 	dh $@ --buildsystem=golang --with=golang

## golang-google-grpc 0.0~git20160517.0.a22b6611

=== debian/changelog ===
golang-google-grpc (0.0~git20160517.0.a22b6611-1) unstable; urgency=medium

  * New upstream snapshot.
  * Fixed Vcs-Git URL.
  * Ignore test failures.
  * Standards-Version: 3.9.8.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 24 May 2016 11:46:44 +1000

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
     golang-github-ugorji-go-codec-dev,
     golang-golang-x-net-dev (>= 0.0+git20160110.4fd4a9f),
     golang-golang-x-oauth2-dev ( >= 0.0~git20151116.0.442624c)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://godoc.org/google.golang.org/grpc
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-google-grpc.git
-Vcs-Git: https://anonscm.debian.org/pkg-go/packages/golang-google-grpc.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-google-grpc.git
 
 Package: golang-google-grpc-dev
 Provides: golang-github-grpc-grpc-go-dev

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 
 %:
 	dh $@ --buildsystem=golang --with=golang
+
+override_dh_auto_test:
+	-dh_auto_test
 
 ## http://wiki.debian.org/onlyjob/get-orig-source
 .PHONY: get-orig-source

## golang-google-grpc 1.0.0

=== debian/changelog ===
golang-google-grpc (1.0.0-1) unstable; urgency=medium

  * New upstream release [July 2016].
  * Build-Depends:
    = golang-goprotobuf-dev (>= 0.0~git20160815~)
    + protobuf-compiler (>= 3.0.0~)
  * Re-build .pb.go files from .proto sources.
  * Do not ignore test failures.
  * "--parallel" build.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 24 Aug 2016 17:54:38 +1000

golang-google-grpc (0.0~git20160517.0.a22b6611-2) unstable; urgency=medium

  [ Tim Potter ]
  * Update golang-go B-D to backport version, 1.5.1 or higher
  * Add me as uploader

  [ Dmitry Smirnov ]
  * (Build-)Depends: fixed order of alternatives (Closes: #830325).
  * Added README.source with note about versioning error.
  * Removed needless "Built-Using".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 10 Jul 2016 08:44:21 +1000

=== debian/control ===
Source: golang-google-grpc
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>, Tim Potter <tpot@hpe.com>
Build-Depends: debhelper (>= 9), dh-golang,
    golang-go (>= 2:1.5.1~),
    golang-glog-dev | golang-github-golang-glog-dev,
    golang-goprotobuf-dev (>= 0.0~git20160815~) | golang-github-golang-protobuf-dev (>= 0.0~git20160815~),
    golang-github-ugorji-go-codec-dev,
    golang-golang-x-net-dev (>= 0.0+git20160110.4fd4a9f),
    golang-golang-x-oauth2-dev ( >= 0.0~git20151116.0.442624c),
  protobuf-compiler (>= 3.0.0~)
Standards-Version: 3.9.8
Homepage: https://godoc.org/google.golang.org/grpc
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-google-grpc.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-google-grpc.git

Package: golang-google-grpc-dev
Provides: golang-github-grpc-grpc-go-dev
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
    golang-go,
    golang-glog-dev | golang-github-golang-glog-dev,
    golang-goprotobuf-dev (>= 0.0~git20160815~) | golang-github-golang-protobuf-dev (>= 0.0~git20160815~),
    golang-github-ugorji-go-codec-dev,
    golang-golang-x-net-dev (>= 0.0+git20160110.4fd4a9f),
    golang-golang-x-oauth2-dev (>= 0.0~git20151116.0.442624c)
Description: implementation of gRPC in Go
 Implementation of an RPC system called gRPC in Golang.
 .
 Remote Procedure Calls (RPCs) provide a useful abstraction for building
 distributed applications and services. This library provides a concrete
 implementation of the gRPC protocol, layered over HTTP/2.

=== debian/rules ===
--- 
+++ 
@@ -4,13 +4,23 @@
 #export DH_VERBOSE=1
 
 export DH_GOPKG := google.golang.org/grpc
-export DH_GOLANG_EXCLUDES := grpc/test grpc/examples grpc/benchmark grpc/interop naming/etcd
+export DH_GOLANG_EXCLUDES := \
+    benchmark examples naming/etcd test stress \
+    interop/client interop/server
+export DH_GOLANG_INSTALL_EXTRA := testdata transport/testdata
 
 %:
-	dh $@ --buildsystem=golang --with=golang
+	dh $@ --buildsystem=golang --with=golang --parallel
 
-override_dh_auto_test:
-	-dh_auto_test
+PB_GO_FILES = $(patsubst %.proto, %.pb.go, $(wildcard */*/*.proto))
+$(PB_GO_FILES):
+	protoc -I$(dir $@) --go_out=plugins=grpc:$(dir $@) $(dir $@)*.proto
+
+override_dh_clean:
+	dh_clean $(PB_GO_FILES)
+
+override_dh_auto_configure: $(PB_GO_FILES)
+	dh_auto_configure
 
 ## http://wiki.debian.org/onlyjob/get-orig-source
 .PHONY: get-orig-source

## golang-google-grpc 1.0.4

=== debian/changelog ===
golang-google-grpc (1.0.4-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * As protobuf-compiler v3 is not in backports, revert to using the
    already-generated protos. Added a patch that makes them identical to the
    ones generated with the stretch compiler.

 -- Martín Ferrari <tincho@debian.org>  Fri, 17 Feb 2017 02:16:08 +0000

golang-google-grpc (1.0.4-1) unstable; urgency=medium

  * Add myself to Uploaders.
  * Re-merge upstream.
  * Make the build reproducible, thanks to Chris Lamb for the patch.
    Closes: #838754
  * debian/control: Remove golang-go dependency from -dev package.
  * debian/control: Switch to golang-any.
  * debian/control: Depend on recent dh-golang.
  * Use XS-Go-Import-Path instead of DH_GOPKG.
  * debian/rules: Remove now unneeded get-orig-source target.
  * debian/control: Update oauth2/google dependency.
  * Add Documentation/.
  * Add missing test files, do not exclude tests, run manually
    grpc/test.
  * Do not install sample executables.
  * New upstream release. Increase required version of goprotobuf.
  * Patch tests that access the network.

 -- Martín Ferrari <tincho@debian.org>  Sat, 19 Nov 2016 05:42:29 +0000

golang-google-grpc (0.0~git20160517.0.a22b6611-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Tim Potter <tpot@hpe.com>  Tue, 19 Jul 2016 13:48:15 +1000

=== debian/control ===
Source: golang-google-grpc
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Martín Ferrari <tincho@debian.org>,
           Tim Potter <tpot@hpe.com>,
Build-Depends: debhelper (>= 9),
               dh-golang (>= 1.17~),
               golang-any (>= 2:1.5.1~),
               golang-glog-dev | golang-github-golang-glog-dev,
               golang-goprotobuf-dev (>= 0.0~git20161116~),
               golang-github-ugorji-go-codec-dev,
               golang-golang-x-net-dev (>= 0.0+git20160110~),
               golang-golang-x-oauth2-google-dev,
Standards-Version: 3.9.8
Homepage: https://godoc.org/google.golang.org/grpc
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-google-grpc.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-google-grpc.git
XS-Go-Import-Path: google.golang.org/grpc

Package: golang-google-grpc-dev
Provides: golang-github-grpc-grpc-go-dev
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
         golang-github-ugorji-go-codec-dev,
         golang-glog-dev | golang-github-golang-glog-dev,
         golang-golang-x-net-dev (>= 0.0+git20160110~),
         golang-golang-x-oauth2-google-dev,
         golang-goprotobuf-dev (>= 0.0~git20161116~),
Description: implementation of gRPC in Go
 Implementation of an RPC system called gRPC in Golang.
 .
 Remote Procedure Calls (RPCs) provide a useful abstraction for building
 distributed applications and services. This library provides a concrete
 implementation of the gRPC protocol, layered over HTTP/2.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_GOLANG_EXCLUDES := naming/etcd test
export DH_GOLANG_INSTALL_EXTRA := interop/server/testdata \
    interop/client/testdata transport/testdata testdata \
    examples/route_guide/testdata benchmark/server/testdata test/testdata

%:
	dh $@ --buildsystem=golang --with=golang --parallel

override_dh_auto_test:
	dh_auto_test -- google.golang.org/grpc/test

override_dh_auto_install:
	dh_auto_install -- --no-binaries

## golang-google-grpc 1.6.0

=== Makefile ===
all: test testrace

deps:
	go get -d -v google.golang.org/grpc/...

updatedeps:
	go get -d -v -u -f google.golang.org/grpc/...

testdeps:
	go get -d -v -t google.golang.org/grpc/...

updatetestdeps:
	go get -d -v -t -u -f google.golang.org/grpc/...

build: deps
	go build google.golang.org/grpc/...

proto:
	@ if ! which protoc > /dev/null; then \
		echo "error: protoc not installed" >&2; \
		exit 1; \
	fi
	go generate google.golang.org/grpc/...

test: testdeps
	go test -v -cpu 1,4 google.golang.org/grpc/...

testrace: testdeps
	go test -v -race -cpu 1,4 google.golang.org/grpc/...

clean:
	go clean -i google.golang.org/grpc/...

.PHONY: \
	all \
	deps \
	updatedeps \
	testdeps \
	updatetestdeps \
	build \
	proto \
	test \
	testrace \
	clean \
	coverage

=== debian/changelog ===
golang-google-grpc (1.6.0-3) unstable; urgency=medium

  [ Shengjing Zhu ]
  * Team upload.
  * remove codes/code_string.go before running go generate (Closes: #882554).
    codes/code_string.go is also generated file. running go generate on
    file codes/codes.go will cause stringer to process all files in
    dir codes, including this generated file.

  [ Dr. Tobias Quathamer ]
  * Update Standards-Version to 4.1.1, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 05 Dec 2017 23:19:44 +0100

golang-google-grpc (1.6.0-2) unstable; urgency=medium

  * Team upload.
  * Add patch to bring NewContext and FromContext API back.

 -- Shengjing Zhu <i@zhsj.me>  Thu, 14 Sep 2017 20:39:58 +0800

golang-google-grpc (1.6.0-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * New upstream release.
  * Testsuite: autopkgtest-pkg-go.
  * Bump Standards-Version to 4.0.0.
  * Depend on golang-github-golang-mock-dev.

  [ Shengjing Zhu ]
  * New upstream 1.6.0 release
  * Refresh patch name
  * Call go generate manualy in d/rules
  * Update new version's build-depends
  * Update compat and dh to 10
  * Update Standards-Version to 4.1.0
    + Change priority to optional
    + Use https in copyright format url
  * Remove d/README.Debian, naming/etcd no longer exists
  * Update pkg-go team name

 -- Martín Ferrari <tincho@debian.org>  Wed, 13 Sep 2017 03:04:56 +0000

=== debian/control ===
Source: golang-google-grpc
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Martín Ferrari <tincho@debian.org>,
           Tim Potter <tpot@hpe.com>,
Build-Depends: debhelper (>= 10),
               dh-golang (>= 1.17~),
               golang-any (>= 2:1.5.1~),
               golang-github-golang-mock-dev,
               golang-glog-dev | golang-github-golang-glog-dev,
               golang-golang-x-net-dev (>= 0.0+git20160110~),
               golang-golang-x-oauth2-dev,
               golang-golang-x-oauth2-google-dev,
               golang-golang-x-tools,
               golang-goprotobuf-dev (>= 0.0~git20161116~),
               protobuf-compiler (>= 3.0.0~),
Standards-Version: 4.1.1
Homepage: https://godoc.org/google.golang.org/grpc
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-google-grpc.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-google-grpc.git
XS-Go-Import-Path: google.golang.org/grpc
Testsuite: autopkgtest-pkg-go

Package: golang-google-grpc-dev
Provides: golang-github-grpc-grpc-go-dev,
Architecture: all
Depends: golang-github-golang-mock-dev,
         golang-glog-dev | golang-github-golang-glog-dev,
         golang-golang-x-net-dev (>= 0.0+git20160110~),
         golang-golang-x-oauth2-dev,
         golang-golang-x-oauth2-google-dev,
         golang-google-genproto-dev,
         golang-goprotobuf-dev (>= 0.0~git20161116~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: implementation of gRPC in Go
 Implementation of an RPC system called gRPC in Golang.
 .
 Remote Procedure Calls (RPCs) provide a useful abstraction for building
 distributed applications and services. This library provides a concrete
 implementation of the gRPC protocol, layered over HTTP/2.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_GOLANG_INSTALL_EXTRA := examples/route_guide/testdata testdata
export DH_GOLANG_EXCLUDES := grpclb$$
export BUILDDIR := build

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)

PB_GO_FILES := $(wildcard */*/*.pb.go */*/*/*.pb.go)

override_dh_auto_configure:
	# grpc_testingv3/testv3.pb.go is not re-generated because it was
	# intentionally generated by an older version of protoc-gen-go.
	# comments from upstream in code
	rm -v -f $(filter-out reflection/grpc_testingv3/testv3.pb.go, $(PB_GO_FILES))
	rm -v -f codes/code_string.go
	go generate ./...
	dh_auto_configure
	mkdir -p -v $(BUILDDIR)/src/google.golang.org/
	cp -v -a debian/vendor/google.golang.org/genproto $(BUILDDIR)/src/google.golang.org/

override_dh_auto_test:
	dh_auto_test -- -short

override_dh_auto_install:
	dh_auto_install -- --no-binaries

## golang-google-grpc 1.11.0

=== debian/changelog ===
golang-google-grpc (1.11.0-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Pirate Praveen ]
  * New upstream version 1.11.0 (Closes: #893171)
  * Bump debhelper compat to 11
  * Bump standards version to 4.1.4
  * Refresh patches

  [ Shengjing Zhu ]
  * Fix regenerating pb.go in grpclb directory.
  * Add patch to fix grpclb proto generate.
  * Update vendored golang-google-genproto-dev to 0.0~git20171123.7f0da29-1.
  * Don't remove codes/code_string.go since upstream removed the go generate
    instruction.
  * Update team mail address to team+pkg-go@tracker.debian.org.
  * Remove golang-golang-x-tools from Build-Depends.
    Since we don't regenerate code_string.go.
  * Update Standards-Version to 4.2.1. (no changes)
  * Exclude benchmark from go build targets.

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 20 Oct 2018 00:08:26 +0800

=== debian/control ===
Source: golang-google-grpc
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Martín Ferrari <tincho@debian.org>,
           Tim Potter <tpot@hpe.com>,
Build-Depends: debhelper (>= 11~),
               dh-golang (>= 1.17~),
               golang-any (>= 2:1.5.1~),
               golang-github-golang-mock-dev,
               golang-glog-dev | golang-github-golang-glog-dev,
               golang-golang-x-net-dev (>= 1:0.0+git20170629),
               golang-golang-x-oauth2-dev,
               golang-golang-x-oauth2-google-dev,
               golang-goprotobuf-dev (>= 0.0~git20161116~),
               protobuf-compiler (>= 3.0.0~),
Standards-Version: 4.2.1
Homepage: https://godoc.org/google.golang.org/grpc
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-google-grpc
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-google-grpc.git
XS-Go-Import-Path: google.golang.org/grpc
Testsuite: autopkgtest-pkg-go

Package: golang-google-grpc-dev
Provides: golang-github-grpc-grpc-go-dev,
Architecture: all
Depends: golang-github-golang-mock-dev,
         golang-glog-dev | golang-github-golang-glog-dev,
         golang-golang-x-net-dev (>= 1:0.0+git20170629),
         golang-golang-x-oauth2-dev,
         golang-golang-x-oauth2-google-dev,
         golang-google-genproto-dev,
         golang-goprotobuf-dev (>= 0.0~git20161116~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: implementation of gRPC in Go
 Implementation of an RPC system called gRPC in Golang.
 .
 Remote Procedure Calls (RPCs) provide a useful abstraction for building
 distributed applications and services. This library provides a concrete
 implementation of the gRPC protocol, layered over HTTP/2.

=== debian/watch ===
# uscan(1) configuration file.
version=3

 https://github.com/grpc/grpc-go/releases \
 .*/archive/v?(\d[\d\.]+)\.tar\.gz

## golang-google-grpc 1.15.0

=== debian/changelog ===
golang-google-grpc (1.15.0-2) unstable; urgency=medium

  * Update debian/watch with filenamemangle
  * Add myself to the list of Uploaders
  * Apply "cme fix dpkg" fixes
    - Remove unnecessary greater-than versioned dependency
    - Update debhelper dependency to "Build-Depends: debhelper-compat (= 12)"
    - Bump Standards-Version to 4.4.0 (no change)
  * Set GBP debian-branch back to debian/sid

 -- Anthony Fok <foka@debian.org>  Thu, 01 Aug 2019 09:08:38 -0600

golang-google-grpc (1.15.0-1) experimental; urgency=medium

  [ Martín Ferrari ]
  * New upstream release.
  * debian/control: Update dependencies.
  * Refresh patches; remove unused ones.
  * Remove vendored .pb.go files; add all .proto dependencies.
  * Make sure all protobuf code is regenerated.
  * Install examples.
  * Add GBP configuration.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 22 Jan 2019 11:40:52 +1100

=== debian/control ===
Source: golang-google-grpc
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Martín Ferrari <tincho@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Anthony Fok <foka@debian.org>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 11),
               dh-golang (>= 1.17~),
               golang-any,
               golang-github-golang-mock-dev,
               golang-glog-dev | golang-github-golang-glog-dev,
               golang-golang-x-net-dev (>= 1:0.0+git20170629),
               golang-golang-x-oauth2-dev,
               golang-golang-x-oauth2-google-dev,
               golang-golang-x-sys-dev,
               golang-goprotobuf-dev (>= 1.2~),
               protobuf-compiler (>= 3.0.0~)
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-google-grpc
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-google-grpc.git
Homepage: https://godoc.org/google.golang.org/grpc
XS-Go-Import-Path: google.golang.org/grpc

Package: golang-google-grpc-dev
Architecture: all
Depends: golang-github-golang-mock-dev,
         golang-glog-dev | golang-github-golang-glog-dev,
         golang-golang-x-net-dev (>= 1:0.0+git20170629),
         golang-golang-x-oauth2-dev,
         golang-golang-x-oauth2-google-dev,
         golang-golang-x-sys-dev,
         golang-google-genproto-dev,
         golang-goprotobuf-dev (>= 1.2~),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: golang-github-grpc-grpc-go-dev
Description: implementation of gRPC in Go
 Implementation of an RPC system called gRPC in Golang.
 .
 Remote Procedure Calls (RPCs) provide a useful abstraction for building
 distributed applications and services. This library provides a concrete
 implementation of the gRPC protocol, layered over HTTP/2.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE := 1
export DH_GOLANG_EXCLUDES := benchmark
export BUILDDIR := build

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)

override_dh_auto_configure:
	dh_auto_configure
	debian/regenerate.sh

override_dh_auto_test:
	dh_auto_test -- -short

override_dh_auto_install:
	dh_auto_install -- --no-binaries

## golang-google-grpc 1.22.1

=== debian/changelog ===
golang-google-grpc (1.22.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Pirate Praveen <praveen@debian.org>  Fri, 03 Jan 2020 23:36:46 +0530

golang-google-grpc (1.22.1-1) unstable; urgency=medium

  * New upstream version 1.22.1
  * Disable debian/regenerate.sh temporarily until it is extended
    to cover newly added protobuf code
  * Add Build-Depends: golang-google-genproto-dev
  * Add dependency on golang-github-google-go-cmp-dev
  * Bump debhelper dependency to "Build-Depends: debhelper-compat (= 12)"
    for real this time
  * Fix debian/proto/grpc/* and debian/proto/rpc/* wildcard Files entries
    in debian/copyright

 -- Anthony Fok <foka@debian.org>  Thu, 01 Aug 2019 18:12:55 -0600

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,17 @@
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-golang (>= 1.17~),
                golang-any,
                golang-github-golang-mock-dev,
+               golang-github-google-go-cmp-dev,
                golang-glog-dev | golang-github-golang-glog-dev,
                golang-golang-x-net-dev (>= 1:0.0+git20170629),
                golang-golang-x-oauth2-dev,
                golang-golang-x-oauth2-google-dev,
                golang-golang-x-sys-dev,
+               golang-google-genproto-dev,
                golang-goprotobuf-dev (>= 1.2~),
                protobuf-compiler (>= 3.0.0~)
 Standards-Version: 4.4.0
@@ -27,6 +29,7 @@
 Package: golang-google-grpc-dev
 Architecture: all
 Depends: golang-github-golang-mock-dev,
+         golang-github-google-go-cmp-dev,
          golang-glog-dev | golang-github-golang-glog-dev,
          golang-golang-x-net-dev (>= 1:0.0+git20170629),
          golang-golang-x-oauth2-dev,

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,12 @@
 
 override_dh_auto_configure:
 	dh_auto_configure
-	debian/regenerate.sh
+	# Disabling debian/regenerate.sh for now, as it needs to be extended
+	# to cover newly added protobuf code, such as:
+	#  * balancer/xds/internal/regenerate_scripts/envoy-proto-gen.sh
+	#  * balancer/xds/internal/regenerate_scripts/utils/proto-gen.sh
+	#  * internal/binarylog/regenerate.sh
+	#debian/regenerate.sh
 
 override_dh_auto_test:
 	dh_auto_test -- -short

## golang-google-grpc 1.27.1

=== debian/changelog ===
golang-google-grpc (1.27.1-1) unstable; urgency=medium

  * New upstream release (Closes: #915643).
  * Fix re-generation (build integrity).
  * Build integrity: remove generated .pb.go files whenever possible.
  * Excluded disfunctional "xds" component.
  * Disabled unreliable tests in "internal/resolver/dns".
  * Rules-Requires-Root: no.
  * Standards-Version: 4.5.0.
  * Removed Anthony Fok from Uploaders.
  * README.source note emphasizing how sensitive this package is.
  * (Build-)Depends:
    = golang-goprotobuf-dev (>= 1.3.2~)

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 09 Apr 2020 16:55:39 +1000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
            Martín Ferrari <tincho@debian.org>,
            Tim Potter <tpot@hpe.com>,
-           Anthony Fok <foka@debian.org>
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
@@ -18,13 +17,14 @@
                golang-golang-x-oauth2-google-dev,
                golang-golang-x-sys-dev,
                golang-google-genproto-dev,
-               golang-goprotobuf-dev (>= 1.2~),
-               protobuf-compiler (>= 3.0.0~)
-Standards-Version: 4.4.0
+               golang-goprotobuf-dev (>= 1.3.2~),
+               protobuf-compiler (>= 3.11.4~),
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-google-grpc
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-google-grpc.git
 Homepage: https://godoc.org/google.golang.org/grpc
 XS-Go-Import-Path: google.golang.org/grpc
+Rules-Requires-Root: no
 
 Package: golang-google-grpc-dev
 Architecture: all
@@ -36,7 +36,7 @@
          golang-golang-x-oauth2-google-dev,
          golang-golang-x-sys-dev,
          golang-google-genproto-dev,
-         golang-goprotobuf-dev (>= 1.2~),
+         golang-goprotobuf-dev (>= 1.3.2~),
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: golang-github-grpc-grpc-go-dev

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE := 1
export DH_GOLANG_GO_GENERATE := 1
export DH_GOLANG_EXCLUDES := benchmark xds
export DH_GOLANG_INSTALL_EXTRA = $(shell find . -name '*.sh')

export PATH := $(CURDIR)/debian:$(PATH)
export CURDIR := $(CURDIR)

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

override_dh_auto_configure:
	dh_auto_configure
## Build integrity: remove generated .pb.go files whenever possible:
	-find _build \
            -not -path '*/binarylog/grpc_binarylog_v1/*' \
            -not -path '*/reflection/*' \
            -type f -name '*.pb.go' -delete -printf 'removed %p\n'

override_dh_auto_test:
	DH_GOLANG_EXCLUDES="$(DH_GOLANG_EXCLUDES) internal/resolver/dns internal/proto/grpc_service_config" \
	dh_auto_test -- -short

override_dh_auto_install:
	dh_auto_install -- --no-binaries

=== debian/watch ===
# uscan(1) configuration file.
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-google-grpc-$1.tar.gz%" \
    https://github.com/grpc/grpc-go/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian

## golang-google-grpc 1.29.1

=== debian/changelog ===
golang-google-grpc (1.29.1-0ubuntu1) groovy; urgency=medium

  * New upstream release
  * Dependency version of golang-goprotobuf-dev to (>= 1.3.3~)
  * debian/rules: Don't regenerate .pb.go files.
    They need newer .proto files

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 23 Jul 2020 15:18:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: golang-google-grpc
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
            Martín Ferrari <tincho@debian.org>,
            Tim Potter <tpot@hpe.com>,
@@ -17,7 +18,7 @@
                golang-golang-x-oauth2-google-dev,
                golang-golang-x-sys-dev,
                golang-google-genproto-dev,
-               golang-goprotobuf-dev (>= 1.3.2~),
+               golang-goprotobuf-dev (>= 1.3.3~),
                protobuf-compiler (>= 3.11.4~),
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-google-grpc
@@ -36,7 +37,7 @@
          golang-golang-x-oauth2-google-dev,
          golang-golang-x-sys-dev,
          golang-google-genproto-dev,
-         golang-goprotobuf-dev (>= 1.3.2~),
+         golang-goprotobuf-dev (>= 1.3.3~),
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: golang-github-grpc-grpc-go-dev

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE := 1
#export DH_GOLANG_GO_GENERATE := 1
export DH_GOLANG_EXCLUDES := benchmark xds
export DH_GOLANG_INSTALL_EXTRA = $(shell find . -name '*.sh')

export PATH := $(CURDIR)/debian:$(PATH)
export CURDIR := $(CURDIR)

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

#override_dh_auto_configure:
#	dh_auto_configure
### Build integrity: remove generated .pb.go files whenever possible:
#	-find _build \
#            -not -path '*/binarylog/grpc_binarylog_v1/*' \
#            -not -path '*/reflection/*' \
#            -type f -name '*.pb.go' -delete -printf 'removed %p\n'

override_dh_auto_test:
	DH_GOLANG_EXCLUDES="$(DH_GOLANG_EXCLUDES) internal/resolver/dns internal/proto/grpc_service_config" \
	dh_auto_test -- -short

override_dh_auto_install:
	dh_auto_install -- --no-binaries

## golang-google-grpc 1.32.0

=== debian/changelog ===
golang-google-grpc (1.32.0-4) unstable; urgency=medium

  * Team upload.
  * Replace transitional golang-goprotobuf-dev package

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 23 Dec 2022 00:16:42 +0800

golang-google-grpc (1.32.0-3) unstable; urgency=medium

  * Team upload.
  * Source-only upload for testing migration

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 31 Oct 2022 02:41:10 +0800

golang-google-grpc (1.32.0-2) unstable; urgency=medium

  * Team upload.
  * Add a new protoc-gen-go-grpc package.
    It can generate gRPC service with Go protobuf APIv2.

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 30 Oct 2022 23:28:49 +0800

golang-google-grpc (1.32.0-1) unstable; urgency=medium

  * Team upload.

  [ Balint Reczey ]
  * Dependency version of golang-goprotobuf-dev to (>= 1.3.3~)
  * debian/rules: Don't regenerate .pb.go files.
    They need newer .proto files

  [ Shengjing Zhu ]
  * Use git tag in uscan watch file.
    To download older versions which are not in first page.
  * Update Section to golang
  * Update Standards-Version to 4.6.1 (no changes)
  * Refresh patches.
    Drop obsoleted 01-Add-NewContext-and-FromContext-back-to-metadata-pack.patch
    Add 0001-Backport-sha256-x509-testdata.patch
  * Update DH_GOLANG_EXCLUDES for all binary packages
  * Drop golang-github-golang-mock-dev from Depends
  * Add Breaks for incompatible packages
    + golang-etcd-server-dev (<< 3.3.25+dfsg-8~)
    + golang-google-cloud-dev (<< 0.56.0-2~)
  * Bump debhelper-compat to 13

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 29 Oct 2022 21:15:16 +0800

=== debian/control ===
Source: golang-google-grpc
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Martín Ferrari <tincho@debian.org>,
           Tim Potter <tpot@hpe.com>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang (>= 1.17~),
               golang-any,
               golang-github-golang-protobuf-1-3-dev,
               golang-github-google-go-cmp-dev,
               golang-glog-dev | golang-github-golang-glog-dev,
               golang-golang-x-net-dev (>= 1:0.0+git20170629),
               golang-golang-x-oauth2-dev,
               golang-golang-x-oauth2-google-dev,
               golang-golang-x-sys-dev,
               golang-google-genproto-dev,
               golang-google-protobuf-dev,
               protobuf-compiler (>= 3.11.4~),
               protoc-gen-go-1-3,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-google-grpc
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-google-grpc.git
Homepage: https://godoc.org/google.golang.org/grpc
XS-Go-Import-Path: google.golang.org/grpc
Rules-Requires-Root: no

Package: golang-google-grpc-dev
Architecture: all
Depends: golang-github-golang-protobuf-1-3-dev,
         golang-github-google-go-cmp-dev,
         golang-glog-dev | golang-github-golang-glog-dev,
         golang-golang-x-net-dev (>= 1:0.0+git20170629),
         golang-golang-x-oauth2-dev,
         golang-golang-x-oauth2-google-dev,
         golang-golang-x-sys-dev,
         golang-google-genproto-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Provides: golang-github-grpc-grpc-go-dev,
Breaks: golang-etcd-server-dev (<< 3.3.25+dfsg-8~),
        golang-google-cloud-dev (<< 0.56.0-2~),
Description: implementation of gRPC in Go
 Implementation of an RPC system called gRPC in Golang.
 .
 Remote Procedure Calls (RPCs) provide a useful abstraction for building
 distributed applications and services. This library provides a concrete
 implementation of the gRPC protocol, layered over HTTP/2.

Package: protoc-gen-go-grpc
Architecture: any
Built-Using: ${misc:Built-Using},
Depends: libprotobuf-dev,
         protobuf-compiler,
         ${misc:Depends},
         ${shlibs:Depends},
Description: gRPC plugin for protobuf compiler
 This protobuf compiler plugin generates gRPC service definitions for the
 protocol buffer defined by file.proto.
 .
 The new protoc-gen-go plugin (provided by google.golang.org/protobuf) no longer
 supports generating gRPC service.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_GOLANG_GO_GENERATE := 1

export DH_GOLANG_EXCLUDES := \
  benchmark \
  credentials/tls/certprovider/meshca/internal/meshca_experimental \
  examples \
  interop/alts \
  interop \
  profiling \
  security/advancedtls \
  security/authorization \
  stress \
  test/tools \
  xds

export DH_GOLANG_INSTALL_EXTRA = regenerate.sh

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

#override_dh_auto_configure:
#	dh_auto_configure
### Build integrity: remove generated .pb.go files whenever possible:
#	-find _build \
#            -not -path '*/binarylog/grpc_binarylog_v1/*' \
#            -not -path '*/reflection/*' \
#            -type f -name '*.pb.go' -delete -printf 'removed %p\n'

override_dh_auto_test:
	DH_GOLANG_EXCLUDES="$(DH_GOLANG_EXCLUDES) internal/resolver/dns internal/proto/grpc_service_config" \
	dh_auto_test -- -short

## golang-google-grpc 1.33.3

=== debian/changelog ===
golang-google-grpc (1.33.3-2) unstable; urgency=medium

  * Team upload
  * Add patch to fix failed TestUnix with https_proxy env

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 10 Jan 2023 16:12:59 +0800

golang-google-grpc (1.33.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.33.3
  * Regenerating protobuf files with old protoc-gen-go v1.3.5.

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 29 Dec 2022 23:55:08 +0800

golang-google-grpc (1.32.0-5) unstable; urgency=medium

  * Team upload
  * Allow golang-github-golang-protobuf-1-5-dev as optional Depends
  * Add Multi-Arch
  * Update Standards-Version to 4.6.2 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 29 Dec 2022 18:29:29 +0800

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                golang-google-protobuf-dev,
                protobuf-compiler (>= 3.11.4~),
                protoc-gen-go-1-3,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-google-grpc
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-google-grpc.git
 Homepage: https://godoc.org/google.golang.org/grpc
@@ -29,7 +29,8 @@
 
 Package: golang-google-grpc-dev
 Architecture: all
-Depends: golang-github-golang-protobuf-1-3-dev,
+Multi-Arch: foreign
+Depends: golang-github-golang-protobuf-1-3-dev | golang-github-golang-protobuf-1-5-dev,
          golang-github-google-go-cmp-dev,
          golang-glog-dev | golang-github-golang-glog-dev,
          golang-golang-x-net-dev (>= 1:0.0+git20170629),

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := \
  benchmark \
  credentials/tls/certprovider/meshca \
  examples \
  interop/alts \
  interop \
  profiling \
  security/advancedtls \
  security/authorization \
  stress \
  test/go_vet \
  test/tools \
  xds

export DH_GOLANG_INSTALL_EXTRA := regenerate.sh debian/missing-sources

export PATH := $(PATH):$(CURDIR)/_build/bin

SRC_DIR :=  $(CURDIR)/_build/src/google.golang.org/grpc

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

# use override_dh_auto_configure instead of execute_after_dh_auto_configure to
# allow dh_golang_autopkgtest to rewrite.
override_dh_auto_configure:
	dh_auto_configure
	DH_GOLANG_BUILDPKG=google.golang.org/grpc/cmd/protoc-gen-go-grpc dh_auto_build
	find $(SRC_DIR) -not -path '*/reflection/grpc_testingv3/*' -type f -name '*.pb.go'\
		 -delete -printf 'removed %p\n'
	cd $(SRC_DIR) && ./regenerate.sh

override_dh_auto_test:
	# internal/resolver/dns test is unreliable.
	DH_GOLANG_EXCLUDES="$(DH_GOLANG_EXCLUDES) internal/resolver/dns" \
	dh_auto_test -- -short

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/grpc/grpc-go \
  refs/tags/v?@ANY_VERSION@ debian

## golang-google-grpc 1.38.0

=== debian/changelog ===
golang-google-grpc (1.38.0-4) experimental; urgency=medium

  * Update minimum version of protobuf-compiler to 3.20

 -- Pirate Praveen <praveen@debian.org>  Fri, 06 May 2022 19:17:19 +0530

golang-google-grpc (1.38.0-3) experimental; urgency=medium

  * Team Upload.

  [ Nilesh Patra ]
  * Include two xds files required to get gitaly building

 -- Pirate Praveen <praveen@debian.org>  Thu, 28 Oct 2021 21:43:53 +0530

golang-google-grpc (1.38.0-2) experimental; urgency=medium

  * Team upload
  * Ignore test failures

 -- Sruthi Chandran <srud@debian.org>  Sun, 05 Sep 2021 01:23:15 +0530

golang-google-grpc (1.38.0-1) experimental; urgency=medium

  * Team Upload

  [ Balint Reczey ]
  * Dependency version of golang-goprotobuf-dev to (>= 1.3.3~)
  * debian/rules: Don't regenerate .pb.go files.
    They need newer .proto files

  [ Peymaneh Nejad ]
  * New upstream version (closes: #991052)
  * d/rules: Exclude modules with unsatisfied dependencies
  * d/control: Update dh compat and standards version
  * Add lintian overrides

  [ Sruthi Chandran ]
  * New upstream release 1.38.0
  * Add golang-google-protobuf-dev to builddeps
  * Set minimum version for golang-goprotobuf-dev (>= 1.4.3~)
  * Disable failing tests

 -- Peymaneh Nejad <p.nejad@posteo.de>  Fri, 06 Aug 2021 12:13:38 +0200

=== debian/control ===
Source: golang-google-grpc
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Martín Ferrari <tincho@debian.org>,
           Tim Potter <tpot@hpe.com>,
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang (>= 1.17~),
               golang-any,
               golang-github-golang-mock-dev,
               golang-github-google-go-cmp-dev,
               golang-glog-dev | golang-github-golang-glog-dev,
               golang-golang-x-net-dev (>= 1:0.0+git20170629),
               golang-golang-x-oauth2-dev,
               golang-golang-x-oauth2-google-dev,
               golang-golang-x-sys-dev,
               golang-google-genproto-dev,
               golang-google-protobuf-dev,
               golang-goprotobuf-dev (>= 1.4.3~),
               protobuf-compiler (>= 3.20~),
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-google-grpc
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-google-grpc.git
Homepage: https://godoc.org/google.golang.org/grpc
XS-Go-Import-Path: google.golang.org/grpc
Rules-Requires-Root: no

Package: golang-google-grpc-dev
Architecture: all
Depends: golang-github-golang-mock-dev,
         golang-github-google-go-cmp-dev,
         golang-glog-dev | golang-github-golang-glog-dev,
         golang-golang-x-net-dev (>= 1:0.0+git20170629),
         golang-golang-x-oauth2-dev,
         golang-golang-x-oauth2-google-dev,
         golang-golang-x-sys-dev,
         golang-google-genproto-dev,
         golang-goprotobuf-dev (>= 1.3.3~),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: golang-github-grpc-grpc-go-dev
Description: implementation of gRPC in Go
 Implementation of an RPC system called gRPC in Golang.
 .
 Remote Procedure Calls (RPCs) provide a useful abstraction for building
 distributed applications and services. This library provides a concrete
 implementation of the gRPC protocol, layered over HTTP/2.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE := 1
#export DH_GOLANG_GO_GENERATE := 1
export DH_GOLANG_EXCLUDES := benchmark xds cmd security/authorization interop/client \
                             credentials/tls/certprovider/meshca/internal/meshca_experimental \
			     security/advancedtls
export DH_GOLANG_INSTALL_EXTRA = $(shell find . -name '*.sh')

export PATH := $(CURDIR)/debian:$(PATH)
export CURDIR := $(CURDIR)

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

#override_dh_auto_configure:
#	dh_auto_configure
### Build integrity: remove generated .pb.go files whenever possible:
#	-find _build \
#            -not -path '*/binarylog/grpc_binarylog_v1/*' \
#            -not -path '*/reflection/*' \
#            -type f -name '*.pb.go' -delete -printf 'removed %p\n'

override_dh_auto_test:
	-DH_GOLANG_EXCLUDES="$(DH_GOLANG_EXCLUDES) internal/resolver/dns internal/proto/grpc_service_config" \
	dh_auto_test -- -short

override_dh_auto_install:
	dh_auto_install -- --no-binaries
	cp $(CURDIR)/credentials/google/xds.go $(CURDIR)/debian/golang-google-grpc-dev/usr/share/gocode/src/google.golang.org/grpc/credentials/google/
	cp $(CURDIR)/internal/xds_handshake_cluster.go $(CURDIR)/debian/golang-google-grpc-dev/usr/share/gocode/src/google.golang.org/grpc/internal/
